{% extends 'Admin/layout.html.twig' %}


{% block title %}Admin Profile{% endblock %}

{% block breadcrumbs %}
    <li class="breadcrumb-item">
        <a href="{{ url('admin_list_users') }}">Users</a>
    </li>
    <li class="breadcrumb-item active">Show</li>
{% endblock %}

{% block body_id 'admin_show_user' %}

{% block body %}

    {% for message in app.flashes('error') %}
        <div class="flash-notice alert alert-danger" role="alert">
            {{ message }}
        </div>
    {% endfor %}

    {% for message in app.flashes('success') %}
        <div class="flash-notice alert alert-success" role="alert">
            {{ message }}
        </div>
    {% endfor %}

    {% if user is defined and user is not empty %}

        <div class="card mb-3">
            <div class="card-body">
                <div class="float-left">
                    {% if user.role == "ROLE_ADMIN" %}
                        <a href="{{ url('super_admin_create_limitation', {'user_id':user.id}) }}" role="button" class="btn btn-success" tabindex="-1">
                            <i class="fas fa-plus"></i>
                            Admin limitation</a>
                    {% elseif user.role == "ROLE_USER" %}
                        <a href="{{ url('super_admin_create_limitation', {'user_id':user.id}) }}" role="button" class="btn btn-success" tabindex="-1">
                            <i class="fas fa-plus"></i>
                            Promote Admin</a>
                    {% endif %}
                </div>
                <div class="float-right">
                    {% if user.enabled %}
                        <a href="{{ url('super_enabling_user', {'enabling':disableParameter,'id':user.id}) }}" role="button" class="btn btn-primary" tabindex="-1">Disable</a>
                    {% else %}
                        <a href="{{ url('super_enabling_user', {'enabling':enableParameter,'id':user.id}) }}" role="button" class="btn btn-primary" tabindex="-1">Enable</a>
                    {% endif %}

                    {% if user.locked %}
                        <a href="{{ url('super_locking_user', {'locking':unlockParameter,'id':user.id}) }}" role="button" class="btn btn-light" tabindex="-1">Unlock</a>
                    {% else %}
                        <a href="{{ url('super_locking_user', {'locking':lockParameter,'id':user.id}) }}" role="button" class="btn btn-light" tabindex="-1">Lock</a>
                    {% endif %}
                </div>
            </div>
        </div>


        <div class="card mb-3">
            <div class="card-header text-white bg-primary">
                <i class="far fa-address-card"></i>
                User general Info
            </div>
            <div class="card-body">

                <div class="row">
                    <div class="col">
                        <img src="{{ asset('build/images/user_placeholder.png') }}" alt="User image" class="img-thumbnail img-fluid mx-auto d-block">
                    </div>
                    <div class="col-9">
                        <table class="table table-bordered table-striped table-hover table-sm">
                            <tr>
                                <th scope="row">Username</th>
                                <td>{{ user.username|e }}</td>
                            </tr>
                            <tr>
                                <th scope="row">Email</th>
                                <td>{{ user.email }}</td>
                            </tr>
                            <tr>
                                <th scope="row">Gender</th>
                                <td>{{ user.gender }}</td>
                            </tr>
                            <tr>
                                <th scope="row">Role</th>
                                <td>{{ user.role }}</td>
                            </tr>
                            <tr>
                                <th scope="row">Last Login</th>
                                <td>{{ user.lastLogin }}</td>
                            </tr>
                            <tr>
                                <th scope="row">Figure</th>
                                <td>{{ user.figureName is empty ? 'Nothing' }}</td>
                            </tr>
                            <tr>
                                <th scope="row">Is Verified</th>
                                <td>{{ user.isVerified is empty ? 'Nope' : 'Yeppa' }}</td>
                            </tr>
                            <tr>
                                <th scope="row">Last Verification Request</th>
                                <td>{{ user.lastVerificationRequest is empty ? 'Never' }}</td>
                            </tr>
                            <tr>
                                <th scope="row">Status Verification Bonus</th>
                                <td>{{ user.statusVerificationBonus is empty ? 'No bonus' }}</td>
                            </tr>
                        </table>
                    </div>
                </div>

            </div>
        </div>

        {% include 'Admin/UserBundle/_show_admin_limitations.html.twig' %}

        <div class="card mb-3">
            <div class="card-header text-white bg-primary">
                <i class="fas fa-external-link-alt"></i>
                External Links
            </div>
            <div class="card-body">

                {% if user.externalLinks is defined and user.externalLinks is not empty %}
                    <div class="row mt-3 mb-3">
                        <div class="col">

                            {% if user.externalLinks.blog is defined %}
                                <i class="fab fa-blogger fa-2x mr-3"></i>
                            {% endif %}
                            {% if user.externalLinks.facebook is defined %}
                                <i class="fab fa-facebook fa-2x"></i>
                            {% endif %}
                            {% if user.externalLinks.twitter is defined %}
                                <i class="fab fa-twitter-square fa-2x ml-3"></i>
                            {% endif %}
                            {% if user.externalLinks.instagram is defined %}
                                <i class="fab fa-instagram fa-2x ml-3"></i>
                            {% endif %}
                            {% if user.externalLinks.youtube is defined %}
                                <i class="fab fa-youtube-square fa-2x ml-3"></i>
                            {% endif %}

                        </div>
                    </div>
                {% endif %}

                {#<table class="table table-bordered table-striped table-hover table-sm">#}
                    {#{% for externalLink in user.externalLinks %}#}
                        {#<tr>#}
                            {#<th scope="row">{{ externalLink.source }}</th>#}
                            {#<td>{{ externalLink.value|e }}</td>#}
                        {#</tr>#}
                    {#{% else %}#}
                        {#<tr>#}
                            {#<td colspan="2">#}
                                {#<p class="text-center">No External Links found</p>#}
                            {#</td>#}
                        {#</tr>#}
                    {#{% endfor %}#}
                {#</table>#}

            </div>
        </div>

        <div class="card mb-3">
            <div class="card-header text-white bg-primary">
                <i class="fas fa-file-word"></i>
                Words
            </div>
            <div class="card-body">


                <table class="table table-bordered table-hover table-sm">
                    <tr class="table-success">
                        <th scope="row">Most Expensive Word</th>
                        <th scope="row">
                            <b>{{ user.mostExpensiveWord }}</b>
                        </th>
                    </tr>
                    <tr>
                        <th scope="row">Amount</th>
                        <th scope="row">{{ user.mostExpensiveWordAmount }}</th>
                    </tr>
                    <tr>
                        <th scope="row">Total User's Words Amount</th>
                        <th scope="row">{{ user.totalWordsAmount }}</th>
                    </tr>
                </table>


                <div class="table-responsive mt-3">
                    <table class="table table-sm">
                        {% set i=0 %}
                        {% if user.wordsList is defined and user.wordsList.words is defined %}
                            {% for word in user.wordsList.words %}
                                <tr>
                                    <td class="text-left text-muted">{{ word.rank }}</td>
                                    <td class="text-left text-muted" style="width: 8%;">
                                        {% if i==0 and user.figureSource is defined and user.figureSource == "king" %}
                                            <i class="fas fa-crown"></i>
                                        {% endif %}
                                    </td>
                                    <td class="text-center" colspan="3"><b>{{ word.name|e|upper }}</b></td>
                                    <td class="text-right text-muted" style="width: 12%;">{{ word.value }}</td>
                                    <td class="text-right text-muted" style="width: 2%;">$</td>
                                    <td class="text-right text-muted" style="width: 2%;">
                                        {% if user.isPublic is defined and user.isPublic == false %}
                                            <i class="fas fa-ellipsis-h"></i>
                                        {% endif %}
                                    </td>
                                </tr>
                                {% set i = i+1 %}
                            {% else %}
                                <tr>
                                    <td colspan="8">
                                        <p class="text-center">{{ 'no.words.found'|trans() }}</p>
                                    </td>
                                </tr>
                            {% endfor %}
                        {% endif %}
                    </table>
                </div>

                {% if user.wordsList is defined and user.wordsList.paginator is defined and user.wordsList.paginator is not empty %}
                    <div class="row mt-3">
                        <div class="col">
                            <div class="mx-auto">
                                {% include 'Default/_pagination.html.twig' with {'p':user.wordsList.paginator} only %}
                            </div>
                        </div>
                    </div>
                {% endif %}


                {#<table class="table table-bordered table-striped table-hover table-sm">#}
                    {#<thead>#}
                        {#<tr>#}
                            {#<th scope="col">Word</th>#}
                            {#<th scope="col">Value</th>#}
                            {#<th scope="col">Status</th>#}
                        {#</tr>#}
                        {#</thead>#}
                    {#<tbody>#}
                        {#{% for word in user.words %}#}
                            {#<tr>#}
                                {#<td>#}
                                    {#<a href="{{ url('admin_show_word', {id:word.id}) }}">{{ word.name|e }}</a>#}
                                {#</td>#}
                                {#<td>#}
                                    {#{{ word.value }}#}
                                {#</td>#}
                                {#<td>#}
                                    {#{{ word.status }}#}
                                {#</td>#}
                            {#</tr>#}
                        {#{% else %}#}
                            {#<tr>#}
                                {#<td colspan="3">#}
                                    {#<p class="text-center">No Words found</p>#}
                                {#</td>#}
                            {#</tr>#}
                        {#{% endfor %}#}
                    {#</tbody>#}
                {#</table>#}

            </div>
        </div>


    {% else %}
        <div class="card">
            <div class="card-body">
                <p class="card-text">No User was found</p>
            </div>
        </div>
    {% endif %}


{% endblock %}